package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability587/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkItemMorebarcodeOpsRequest struct {
	/*
	   bean     */
	UpdateMoreBarCodeRequestBean *domain.AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean `json:"update_more_bar_code_request_bean" required:"true" `
}

func (s *AlibabaWdkItemMorebarcodeOpsRequest) SetUpdateMoreBarCodeRequestBean(v domain.AlibabaWdkItemMorebarcodeOpsUpdateMoreBarCodeRequestBean) *AlibabaWdkItemMorebarcodeOpsRequest {
	s.UpdateMoreBarCodeRequestBean = &v
	return s
}

func (req *AlibabaWdkItemMorebarcodeOpsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.UpdateMoreBarCodeRequestBean != nil {
		paramMap["update_more_bar_code_request_bean"] = util.ConvertStruct(*req.UpdateMoreBarCodeRequestBean)
	}
	return paramMap
}

func (req *AlibabaWdkItemMorebarcodeOpsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
